Skip to main content
GET
/
api
/
gateways
/
{id}
GET /api/gateways/{id}
curl --request GET \
  --url https://api.sippet.ai/api/gateways/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "<string>",
    "attributes": {
      "inbound_acl": [
        "<string>"
      ],
      "name": "<string>",
      "realm": "<string>",
      "username": "<string>",
      "from_domain": "<string>",
      "from_user": "<string>",
      "password": "<string>",
      "provider": "vonage",
      "proxy": "<string>",
      "register": true
    },
    "relationships": {
      "organisation": {
        "data": {
          "id": "<string>",
          "type": "<string>",
          "meta": {}
        }
      }
    }
  },
  "included": [
    "<unknown>"
  ],
  "meta": {}
}

Authorizations

Authorization
string
header
required

JWT for bearer authentication

Path Parameters

id
string
required

Query Parameters

include
string

Relationship paths to include in the response

Pattern: ^()(,())*$
fields
object

Limits the response fields to only those listed for each type

Example:
{
"Gateway": "id,name,provider,username,realm,proxy,register,from_domain,from_user,inbound_acl"
}

Response

Success

data
object

A "Resource object" representing a Gateway

included
any[]
meta
object